# $Revision: 1.12 $, $Date: 2011/11/02 21:30:59 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Net_LDAP2
Summary:	%{_pearname} - Object oriented interface for searching and manipulating LDAP-entries
Summary(pl.UTF-8):	%{_pearname} - zorientowany obiektowo interfejs do wyszukiwania i obróbki wpisów LDAP
Name:		php-pear-%{_pearname}
Version:	2.0.12
Release:	1
License:	LGPL License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3b59d35a6e8e4f58c09f65e0ed1e5cf9
URL:		http://pear.php.net/package/Net_LDAP2/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-ldap
Requires:	php-pear
Obsoletes:	php-pear-Net_LDAP2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_LDAP2 is the successor of Net_LDAP which is a clone of Perls
Net::LDAP object interface to directory servers. It does contain most
of Net::LDAPs features but has some own too.

With Net_LDAP2 you have:
 - A simple object-oriented interface to connections, searches entries
   and filters,
 - Support for TLS and LDAP v3,
 - Simple modification, deletion and creation of LDAP entries,
 - Support for schema handling,
 - Net_LDAP2 layers itself on top of PHP's existing LDAP extensions.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_LDAP2 to następca Net_LDAP, klonu Perlowego obiektowego interfejsu
NET::LDAP do serwerów katalogowych. Pakiet ten zawiera większość
funkcjonalności Net::LDAP jak również trochę dodatkowej.

Cechy Net_LDAP2:
 - prosty, zorientowany obiektowo interfejs do połączeń, wyszukiwania i
   filtrowania,
 - wsparcie dla TLS i LDAP v3,
 - wygodny sposób na modyfikację usuwanie i tworzenie wpisów LDAP,
 - wsparcie dla obsługi schematów,
 - NET_LDAP2 wykorzystuje istniejące rozszerzenie LDAP.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv docs/%{_pearname}/doc/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/Net_LDAP2/doc
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/LDAP2.php
%{php_pear_dir}/Net/LDAP2

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_LDAP2.spec,v $
Revision 1.12  2011/11/02 21:30:59  glen
- updated to: 2.0.12

Revision 1.11  2011/02/27 11:26:40  glen
- release 2

Revision 1.10  2011/02/27 10:55:32  glen
- updated to: 2.0.11

Revision 1.9  2011/01/22 20:26:09  glen
- drop -tests

Revision 1.8  2010/08/23 14:02:12  glen
- up to 2.0.10

Revision 1.7  2010/08/22 08:51:17  glen
- ensure rpmbuild macros present

Revision 1.6  2010/08/21 19:08:54  glen
- updated deps with pearize.sh
- release 3

Revision 1.5  2010/08/20 17:09:31  glen
- fix include path

Revision 1.4  2010/08/19 12:39:35  glen
- up to 2.0.9-stable

Revision 1.3  2010/05/16 12:01:17  pawelz
- R: php(ldap)
- rel .2

Revision 1.2  2008/06/04 16:11:33  adamg
- updated to 2.0.0RC3

Revision 1.1  2008-06-01 18:23:34  adamg
- new
